CON

  _clkmode      = xtal1 + pll16x
  _xinfreq      = 5_000_000

  IN1           = 24            'L6205 pins on MSR1 board.
  IN2           = 25

VAR

  byte buffer[256]

OBJ

  t :   "L6205_talk"

PUB start | a, b

  a := b := 1
  t.start(IN1, IN2)
  t.out(string("heerz u fibon'achee s'eereez.."))
  speak_number(a)

  repeat
    speak_number(b)
    b := a + b
    a := b - a  

PUB speak_number(value) | i, ptr

'' Speak a decimal number

  buffer~
  bufchr(t#SPEAK)
  if value < 0
    -value
    bufstr(string("maenus"))
  bufchr(t#SPELL)

  i := 1_000_000_000

  repeat 10
    if value => i
      bufchr(value / i + "0")
      value //= i
      result~~
    elseif result or i == 1
      bufchr("0")
    i /= 10
  bufstr(string(t#SPEAK, ".."))
  t.out(@buffer) 

PRI bufchr(appchr) | ptr

'' Append a character to the speech buffer.

  ptr := @buffer + strsize(@buffer)
  byte[ptr++] := appchr
  byte[ptr]~

PRI bufstr(appstr)

'' Append a string to the speech buffer.

  bytemove(@buffer + strsize(@buffer), appstr, strsize(appstr) + 1) 